/*
 * Copyright (c) 2005-2006 Tom N Harris <telliamed@whoopdedo.org>.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by Tom N Harris.
 *
 */

#ifndef SETUP_INSTALLCFG_H
#define SETUP_INSTALLCFG_H

#include <string>
#include <vector>

#include "win32.h"
#include "cString.h"

namespace Setup
{

class InstallCfg
{
	typedef std::pair<std::string,std::string> CfgLine;
	std::vector<CfgLine> m_lines;

	bool m_dirty;

public:
	InstallCfg();
	~InstallCfg();

	void AddDir(std::string const&, String const&);
	void AddDirFront(std::string const&, String const&);
	void AddDirBack(std::string const&, String const&);

	bool LoadFile(String const&);
	bool SaveFile(String const&);
};

};

#endif 
